Fork me on GitHub"

# skbio.stats.gradient.TrajectoryGradientANOVA

class `skbio.stats.gradient.``TrajectoryGradientANOVA`(coords, prop_expl, metadata_map, trajectory_categories=None, sort_category=None, axes=3, weighted=False)

  Perform trajectory analysis using the RMS trajectory algorithm

  For each group in a category, each component of the result trajectory is computed as taking the sorted list of samples in the group and taking the norm of the coordinates of the 2nd sample minus 1st sample, 3rd sample minus 2nd sample and so on.

  See also

  `GradientANOVA`

  Methods

  `get_trajectories`() | Compute the trajectories for each group in each category and run